1

Тема: 1.4.2 localhost openSUSE 42.2

Приветствую всех. Помогите прикрутить 1.4.2 на локалхосте
Пытаюсь скопировать работающий форум на отдельностоящую машину, т.е. кручу просто из архиба безо всякой установки.
Имеем:

zypper se -si apache php mysql maria
Loading repository data...
Reading installed packages...

S | Name                           | Type    | Version      | Arch   | Repository                                                         
--+--------------------------------+---------+--------------+--------+--------------------------------------------------------------------
i | apache-commons-logging         | package | 1.1.3-11.1   | noarch | Main Repository (OSS)                                              
i | apache-commons-logging         | package | 1.1.3-11.1   | noarch | openSUSE-42.2-0                                                    
i | apache2                        | package | 2.4.23-6.1   | x86_64 | Main Update Repository                                             
i | apache2-doc                    | package | 2.4.23-6.1   | noarch | Main Update Repository                                             
i | apache2-example-pages          | package | 2.4.23-6.1   | x86_64 | Main Update Repository                                             
i | apache2-mod_perl               | package | 2.0.9-3.5    | x86_64 | Main Repository (OSS)                                              
i | apache2-mod_perl               | package | 2.0.9-3.5    | x86_64 | openSUSE-42.2-0                                                    
i | apache2-mod_php5               | package | 5.5.14-75.2  | x86_64 | Main Update Repository                                             
i | apache2-mod_python             | package | 3.5.0-4.1    | x86_64 | Main Update Repository                                             
i | apache2-prefork                | package | 2.4.23-6.1   | x86_64 | Main Update Repository                                             
i | apache2-utils                  | package | 2.4.23-6.1   | x86_64 | Main Update Repository                                             
i | kdb-mysql-driver               | package | 3.0.0-16.1   | x86_64 | Additional packages maintained by the KDE team (openSUSE_Leap_42.2)
i | libQt5Sql5-mysql               | package | 5.8.0-287.1  | x86_64 | The Qt5 development repository (openSUSE_Leap_42.2)                
i | libmysqlclient-devel           | package | 10.0.29-18.1 | x86_64 | Main Update Repository                                             
i | libmysqlclient18               | package | 10.0.29-18.1 | x86_64 | Main Update Repository                                             
i | libmysqlclient_r18             | package | 10.0.29-18.1 | x86_64 | Main Update Repository                                             
i | libmysqlcppconn7               | package | 1.1.6-4.5    | x86_64 | Main Repository (OSS)                                              
i | libmysqlcppconn7               | package | 1.1.6-4.5    | x86_64 | openSUSE-42.2-0                                                    
i | libmysqld18                    | package | 10.0.29-18.1 | x86_64 | Main Update Repository                                             
i | libreoffice-base-drivers-mysql | package | 5.2.3.3-16.1 | x86_64 | Main Update Repository                                             
i | mariadb                        | package | 10.0.29-18.1 | x86_64 | Main Update Repository                                             
i | mariadb-client                 | package | 10.0.29-18.1 | x86_64 | Main Update Repository                                             
i | mariadb-errormessages          | package | 10.0.29-18.1 | x86_64 | Main Update Repository                                             
i | php5                           | package | 5.5.14-75.2  | x86_64 | Main Update Repository                                             
i | php5-ctype                     | package | 5.5.14-75.2  | x86_64 | Main Update Repository                                             
i | php5-dom                       | package | 5.5.14-75.2  | x86_64 | Main Update Repository                                             
i | php5-iconv                     | package | 5.5.14-75.2  | x86_64 | Main Update Repository                                             
i | php5-json                      | package | 5.5.14-75.2  | x86_64 | Main Update Repository                                             
i | php5-mysql                     | package | 5.5.14-75.2  | x86_64 | Main Update Repository                                             
i | php5-pdo                       | package | 5.5.14-75.2  | x86_64 | Main Update Repository                                             
i | php5-pear                      | package | 5.5.14-75.2  | noarch | Main Update Repository                                             
i | php5-pear-MDB2                 | package | 2.5.0b5-8.1  | noarch | Main Repository (OSS)                                              
i | php5-pear-MDB2                 | package | 2.5.0b5-8.1  | noarch | openSUSE-42.2-0                                                    
i | php5-pear-MDB2_Driver_mysql    | package | 1.4.1-20.1   | noarch | Main Repository (OSS)                                              
i | php5-pear-MDB2_Driver_mysql    | package | 1.4.1-20.1   | noarch | openSUSE-42.2-0                                                    
i | php5-pear-MDB2_Driver_mysqli   | package | 1.5.0b4-8.1  | noarch | Main Repository (OSS)                                              
i | php5-pear-MDB2_Driver_mysqli   | package | 1.5.0b4-8.1  | noarch | openSUSE-42.2-0                                                    
i | php5-sqlite                    | package | 5.5.14-75.2  | x86_64 | Main Update Repository                                             
i | php5-tokenizer                 | package | 5.5.14-75.2  | x86_64 | Main Update Repository                                             
i | php5-xmlreader                 | package | 5.5.14-75.2  | x86_64 | Main Update Repository                                             
i | php5-xmlwriter                 | package | 5.5.14-75.2  | x86_64 | Main Update Repository                                             
i | php5-zlib                      | package | 5.5.14-75.2  | x86_64 | Main Update Repository     
# cat /srv/www/htdocs/lft/config.php
<?php

$db_type = 'mysqli';
$db_host = '127.0.0.1';
$db_name = 'punbb';
$db_username = 'root';
$db_password = '1111';
$db_prefix = '';
$p_connect = '';

$base_url = 'http://127.0.0.1';

$cookie_name = 'forum_cookie_6a26ba';
$cookie_domain = '';
$cookie_path = '/';
$cookie_secure = 0;

define('FORUM', 1);

В итоге имеем вот это:
http://i.piccy.info/i9/f87ab10765a00277f950dd19032b0ed6/1489858143/12757/1043479/Screenshot_20170318_192832.png

Чего ему может не хватать?

Добавлено спустя 47 минут 29 секунд:

ЗЫ
Чистая установка 1.4.2 - нормально работает...

Поделиться

2

Re: 1.4.2 localhost openSUSE 42.2

А, да, забыл сказать (если это важно конечно):
Прикручивать пытаюсь с пустой базой, но мне нужно его прикрутить именно в том виде (расширения, настройки, ручные правки и т.д.) что и у оригинала....

Поделиться